org.modeshape.jcr.cache.change

## Interface ChangeSet

- All Superinterfaces:
    Iterable<Change>, Serializable
  All Known Implementing Classes:
    RecordingChanges

      public interface ChangeSet
      extends Iterable<Change>, Serializable

  A set of internal repository changes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<NodeKey>` | `changedNodes()` Returns the set of keys for the nodes which has been changed.
    `String` | `getJournalId()` Returns the identifier of the local `ChangeJournal` instance.
    `String` | `getProcessKey()` Get the key of the process in which the changes were made.
    `String` | `getRepositoryKey()` Get the key of the repository in which the changes were made.
    `DateTime` | `getTimestamp()` Returns the time at which the change set was created.
    `Map<String,String>` | `getUserData()` Returns a set of (key,value) pairs which may contain additional user information.
    `String` | `getUserId()` Returns the ID (username) of the user which performed the changes.
    `String` | `getUUID()` Returns a unique identifier for this change set.
    `String` | `getWorkspaceName()` Get the name of the workspace in which the changes were made.
    `boolean` | `isEmpty()` Checks if this set has any changes.
    `int` | `size()` Return the number of individual changes.

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Method Detail

    - #### size

          int size()

      Return the number of individual changes.
      Returns:
        the number of changes

    - #### isEmpty

          boolean isEmpty()

      Checks if this set has any changes.
      Returns:
        `true` if there are any changes in this set.

    - #### getUserId

          String getUserId()

      Returns the ID (username) of the user which performed the changes.
      Returns:
        a `String` representing the username; may be `null` in the case of changes performed "by the system.

    - #### getUserData

          Map<String,String> getUserData()

      Returns a set of (key,value) pairs which may contain additional user information.
      Returns:
        a `Map` of additional information; never `null` but possibly empty.

    - #### getTimestamp

          DateTime getTimestamp()

      Returns the time at which the change set was created.
      Returns:
        a `DateTime` instance; never `null`

    - #### getProcessKey

          String getProcessKey()

      Get the key of the process in which the changes were made.
      Returns:
        the process key; never null

    - #### getRepositoryKey

          String getRepositoryKey()

      Get the key of the repository in which the changes were made.
      Returns:
        the repository key; never null

    - #### getWorkspaceName

          String getWorkspaceName()

      Get the name of the workspace in which the changes were made.
      Returns:
        the workspace name; may be null only when workspaces are added or removed

    - #### changedNodes

          Set<NodeKey> changedNodes()

      Returns the set of keys for the nodes which has been changed.
      Returns:
        the set of changed node keys; never `null`

    - #### getJournalId

          String getJournalId()

      Returns the identifier of the local `ChangeJournal` instance.
      Returns:
        either a non-null `String` if journaling is enabled, or `null` if journaling isn't enabled.

    - #### getUUID

          String getUUID()

      Returns a unique identifier for this change set.
      Returns:
        a `String`; never null.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.